Logo

Dyzo API

v2.0.0

Task Logs

Complete Dyzo API Documentation - Project Management, Team Collaboration & Time Tracking Platform

API Overview

Capabilities and features

Track time spent on tasks with individual and bulk operations.

Key Features

Create single task logs
Bulk create multiple task logs
Update task logs
Get task logs by task
Generate timesheets
Automatic duplicate detection
Project allocated time tracking
POST
/tasklog/create/
200 OK

Create Task Log

Log time spent on a task.

JSONRequest Body
1{
2 "task_id": 250,
3 "employee_id": 10,
4 "start_time": "2024-10-29T09:00:00Z",
5 "end_time": "2024-10-29T10:30:00Z",
6 "description": "Worked on authentication"
7}
POST
/tasklogs/bulk/create/{user_id}/
200 OK

Bulk Create Task Logs

Create multiple task logs in a single request. Automatically detects and skips duplicate entries (same taskId, userId, and startTime). Calculates total working hours for the day and notifies admins if project allocated hours are exceeded.

JSONRequest Body
1[
2 {
3 "taskId": 250,
4 "userId": 10,
5 "startTime": "2024-10-29T09:00:00Z",
6 "endTime": "2024-10-29T10:30:00Z",
7 "description": "Worked on authentication module",
8 "manualAdd": false
9 },
10 {
11 "taskId": 251,
12 "userId": 10,
13 "startTime": "2024-10-29T10:30:00Z",
14 "endTime": "2024-10-29T12:00:00Z",
15 "description": "Code review and testing",
16 "manualAdd": false
17 },
18 {
19 "taskId": 252,
20 "userId": 10,
21 "startTime": "2024-10-29T13:00:00Z",
22 "endTime": "2024-10-29T15:30:00Z",
23 "description": "Bug fixes and optimization",
24 "manualAdd": false
25 }
26]
GET
/taskLogs/task/{taskId}/
200 OK

Get Task Logs

Get all logs for a task.

PUT
/tasklogs/{taskLogId}/
200 OK

Update Task Log

Update a task log entry (manual entry).

JSONRequest Body
1{
2 "startTime": "2024-10-29T09:00:00Z",
3 "endTime": "2024-10-29T11:00:00Z",
4 "description": "Research and planning",
5 "taskId": 250,
6 "userId": 10
7}
DELETE
/api/tasklogs/delete/{pk}/
200 OK

Delete Task Log

Delete a task log.